import type { NobjcObject } from "objc-js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _BAAssetPack extends _NSObject {
    static alloc(): _BAAssetPack;
    static new(): _BAAssetPack;
    init(): _BAAssetPack;
    /**
     * Creates a download object for the asset pack that you schedule using a download manager. - Remark: Use this method in your main app; use ``BAAssetPack/downloadForContentRequest:`` instead in your downloader extension.
     */
    download(): NobjcObject;
    /**
     * Creates a download object for the asset pack that you schedule using a download manager. - Parameter contentRequest: The content request for the current extension invocation. - Returns: A download object. - Remark: Use this method in your downloader extension; use ``BAAssetPack/download`` instead in your main app.
     */
    downloadForContentRequest$(contentRequest: NobjcObject): NobjcObject;
    /** A unique identifier for the asset pack. */
    identifier(): _NSString;
    /**
     * The size of the download file containing the asset pack in bytes. This is different than the installation size, which could be larger.
     */
    downloadSize(): number;
    /** The asset pack’s version number */
    version(): number;
    /**
     * JSON-encoded custom information that’s associated with the asset pack. This property is `nil` for Apple-hosted asset packs.
     */
    userInfo(): _NSData | null;
}
